summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Zhu Qun-Ying2019-12-01 02:31:50 +0100
committer Willy Sudiarto Raharjo2019-12-01 02:31:50 +0100
commit8d6c07800b07c044e096e046b8f3eb4532738317 (patch)
tree22b7ce6b3ca1771cac82af6fbd97743035e8143b
parentdd14d1b983428c1b140f16c477e9480ab8f93157 (diff)
downloadslackbuilds-8d6c07800b07c044e096e046b8f3eb4532738317.tar.gz
accessibility/sct: Added (set the color temperature of the screen).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--accessibility/sct/README6
-rw-r--r--accessibility/sct/sct.SlackBuild85
-rw-r--r--accessibility/sct/sct.info10
-rw-r--r--accessibility/sct/slack-desc20
4 files changed, 121 insertions, 0 deletions
diff --git a/accessibility/sct/README b/accessibility/sct/README
new file mode 100644
index 0000000000..71bcc4e6ce
--- /dev/null
+++ b/accessibility/sct/README
@@ -0,0 +1,6 @@
+sct (set the color temperature of the screen)
+
+sct is a lightweight utility to set the color temperature of
+the screen.
+
+It is written by Ted Unangst and maintain by Joerg Jung.
diff --git a/accessibility/sct/sct.SlackBuild b/accessibility/sct/sct.SlackBuild
new file mode 100644
index 0000000000..c1672e7ac8
--- /dev/null
+++ b/accessibility/sct/sct.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for sct
+
+# Copyright 2019 Zhu Qun-Ying
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=sct
+VERSION=${VERSION:-0.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make
+mkdir -p $PKG/usr/man/man1
+mkdir -p $PKG/usr/bin
+make install DESTDIR=$PKG PREFIX=$PKG/usr MANDIR=$PKG/usr/man
+
+strip --strip-unneeded $PKG/usr/bin/sct
+
+gzip -9 $PKG/usr/man/man1/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/accessibility/sct/sct.info b/accessibility/sct/sct.info
new file mode 100644
index 0000000000..b1afc211eb
--- /dev/null
+++ b/accessibility/sct/sct.info
@@ -0,0 +1,10 @@
+PRGNAM="sct"
+VERSION="0.4"
+HOMEPAGE="http://openports.se/x11/sct"
+DOWNLOAD="http://ftp.openbsd.org/pub/OpenBSD/distfiles/sct-0.4.tar.gz"
+MD5SUM="82764efe138b447ad069b9720460ea2c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Zhu Qun-Ying"
+EMAIL="zhu.qunying@gmail.com"
diff --git a/accessibility/sct/slack-desc b/accessibility/sct/slack-desc
new file mode 100644
index 0000000000..d797ff135c
--- /dev/null
+++ b/accessibility/sct/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+sct: sct (set the color temperature of the screen)
+sct:
+sct: sct is a lightweight utility to set the color temperature of
+sct: the screen.
+sct:
+sct: It is written by Ted Unangst and maintain by Joerg Jung.
+sct:
+sct: Homepage: http://openports.se/x11/sct
+sct:
+sct:
+sct:
+sct: